/*###################################################################################
#	Funktionsbeschreibung & Erstellerinformationen:									#
#	Name:		Benjamin Klimmek													#
#	Datum:		09.05.2007															#
#	Funktion:	GLCD- Initialisierung und Datenausgabe								#
#	Version:	1.0																	#
#	Controller:	ATmega128															#
#	LCD:		S1D15G14-Display: www.epson-electronics.de							#
#	Compiler:	AVR-Studio + WinAVR													#
###################################################################################*/

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <string.h>
#include <util/delay.h>
//#include <avr/eeprom.h>
//#include <compat/ina90.h>
#include "GFX_LCD_Functions.h"

/*###################################################################################
//							Deffinitionen
//###################################################################################
#define LCD_PORT 	PORTC
#define LCD_TRIS 	DDRC
#define RS 			3
#define CS 			2
#define SCLK 		1
#define SDATA  		0


#define BLUE 		0x03
#define YELLOW 		0xFC
#define RED 		0XE0
#define GREEN 		0X1C
#define BLACK 		0X00
#define WHITE 		0XFF
#define BRIGHTGREEN 0X3D
#define DARKGREEN 	0X14
#define DARKRED		0XA0
#define DARKBLUE	0X02
#define BRIGHTBLUE	0X1F
#define ORANGE		0XF8
##################################################################################*/

int main(void) {

	Lcd_init();
	Lcd_clear();
	Lcd_box (0, 0, 131, 131, BLUE);
	Lcd_box(25,20,106,65,WHITE);
	Lcd_print("E", 3, 2, 2, BLACK, WHITE);
	Lcd_print("-BLOCKS", 8, 2, 1, BLACK, WHITE);
	Lcd_print("Graphic LCD", 5, 6, 0, BLACK, WHITE);
	Lcd_drawline (25, 67, 106, 67, BLACK);
	Lcd_drawline (20, 69, 111, 69, BLACK);
	Lcd_drawline (15, 71, 116, 71, BLACK);
	Lcd_box (15, 90, 35, 110, RED);
	Lcd_box (35, 90, 55, 110, YELLOW);
	Lcd_box (55, 90, 75, 110, GREEN);
	Lcd_box (75, 90, 95, 110, ORANGE);
	Lcd_box (95, 90, 115, 110, BRIGHTBLUE);

	while (0);
}
